Package Details: slashem 0.0.7E7F3-7

Git Clone URL: https://aur.archlinux.org/slashem.git (read-only, click to copy)
Package Base: slashem
Description: Nethack variant Super Lotsa Added Stuff Hack - Extended Magic
Upstream URL: http://www.slashem.org/
Keywords: game nethack
Licenses: custom
Submitter: ilpianista
Maintainer: aaronfischer
Last Packager: aaronfischer
Votes: 35
Popularity: 0.000000
First Submitted: 2008-04-12 13:05 (UTC)
Last Updated: 2020-10-20 22:53 (UTC)

Latest Comments

winny commented on 2019-01-28 00:44 (UTC)

Greetings, I cannot maintain AUR artifacts anymore, so I am disowning this package. Best of luck :)

nanohard commented on 2018-09-22 09:39 (UTC) (edited on 2018-09-22 09:57 (UTC) by nanohard)

Install error:

pkgrel mismatch between .SRCINFO and PKGBUILD.

rh995 commented on 2017-03-29 04:15 (UTC)

Thank you for your contribution. I'm glad to know the package is in capable hands.

winny commented on 2017-03-29 03:56 (UTC)

Thank you for your time maintaining this package. I recognize your resentment and I was too harsh. I am deeply sorry to see you are dissatisfied with the situation. I'll maintain this, as promised.

rh995 commented on 2017-03-26 03:39 (UTC) (edited on 2017-03-27 05:13 (UTC) by rh995)

I resent the accusation that I don't test the package. In fact as soon as you posted your first comment I reinstalled to ensure that the package would compile cleanly. It did. Therefore I concluded that it must be something particular to your setup which was causing the breakage. But you're right that this is a bug. It should be fixed. I would do so, but as you have volunteered to take over maintainer-ship, I will hand this job over to you as I retire from this package.

winny commented on 2017-03-25 22:52 (UTC)

Looks like parallel make breaks the build system. I added MAKEFLAGS='-j1' to the PKGBUILD and it now compiles with no errors. I think the idea of being a package maintainer is that you *build* and *test* your packages before updating them, and *test* relatively frequently especially with a rolling release distro such as Arch. If you're not interested in doing this, I would be happy to take over maintainer-ship. See also: https://forums.gentoo.org/viewtopic-p-4555442.html?sid=8edd5fbadb5d258f03667e7d77aa374c#4555442

rh995 commented on 2017-03-25 13:14 (UTC)

So it's giving you "can't open asmodeus.lev", can you verify that this file exists at "src/slashem-0.0.7E7F3/dat"?

winny commented on 2017-03-25 11:12 (UTC)

Build failure using makepkg (read: not yaourt), cloned package with git. https://gist.github.com/winny-/fe5f62434dbd44f955b33feaa0f9cb77

rh995 commented on 2017-03-24 02:57 (UTC)

Try building without yaourt

winny commented on 2017-03-23 18:00 (UTC)

This doesn't appear to compile for me: ( cd dat ; ../util/dlb cf nhshare help hh cmdhelp history opthelp wizhelp gypsy.txt data oracles options quest.dat rumors ) ( cd dat ; ../util/dlb cf nhushare dungeon asmodeus.lev baalz.lev bigrm-?.lev castle.lev fakewiz?.lev juiblex.lev knox.lev medusa-?.lev minend-?.lev minefill.lev minetn-?.lev oracle.lev orcus.lev sanctum.lev soko?-?.lev tower?.lev valley.lev wizard?.lev astral.lev air.lev earth.lev fire.lev water.lev beholder.lev blkmar.lev cav2fill.lev grund-?.lev demogorg.lev dispater.lev dragons.lev geryon.lev guild.lev kobold-?.lev lich.lev mall-?.lev mall.lev mineking.lev mtemple.lev nymph.lev rats.lev sea.lev spiders.lev stor-?.lev tomb.lev yeenoghu.lev frnknstn.lev nightmar.lev ???-goal.lev ???-fil?.lev ???-loca.lev ???-strt.lev ) Can't open dungeon make[1]: *** [Makefile:276: dlb] Error 1 make[1]: Leaving directory '/tmp/yaourt-tmp-winston/aur-slashem/src/slashem-0.0.7E7F3' make: *** [Makefile:271: check-dlb] Error 2 mv y.tab.c lev_yacc.c mv: cannot stat 'y.tab.c': No such file or directory make[1]: *** [Makefile:230: lev_yacc.c] Error 1 make[1]: *** Waiting for unfinished jobs.... make[1]: Leaving directory '/tmp/yaourt-tmp-winston/aur-slashem/src/slashem-0.0.7E7F3/util' make: *** [Makefile:180: spec_levs] Error 2

irb commented on 2015-08-13 18:29 (UTC)

Odd; building with makepkg failed for me too, so I built it manually and ran makepkg over that; then it built and installed fine.

rh995 commented on 2015-08-02 03:28 (UTC)

Building with aura works for me, so that's not what's causing the issue.

irb commented on 2015-08-02 02:53 (UTC)

I will, as soon as I can--but until then, I'll mention that I'm installing with aura, hence the build location and fancy output. It'll be a couple days yet before I can build it manually and see if I can't figure out why it's failing.

rh995 commented on 2015-08-01 19:31 (UTC)

I really can't reproduce your errors, but I have a few questions I guess. Why are you building inside /var/cache/pacman/pkg? What happens when you run (cd dat && make dungeon) directly (after freshly unpacking the sources)? Also please paste your entire output again after a fresh checkout, because the first one you posted looks very different from my output: there is no `==> Starting prepare()', for instance. Instead it looks like the patches to the files happen in the middle of build(). I hope we can figure this out.

irb commented on 2015-08-01 18:20 (UTC)

I do have flex 2.5.39-1 installed. Although the compiler warnings have gone away, I'm still getting, make[2]: Leaving directory '/var/cache/pacman/pkg/slashem22406/slashem/src/slashem-0.0.7E7F3/util' ( cd dat ; ../util/dlb cf nhshare help hh cmdhelp history opthelp wizhelp gypsy.txt data oracles options quest.dat rumors ) cc -c -O -I../include dgn_lex.c ( cd dat ; ../util/dlb cf nhushare dungeon asmodeus.lev baalz.lev bigrm-?.lev castle.lev fakewiz?.lev juiblex.lev knox.lev medusa-?.lev minend-?.lev minefill.lev minetn-?.lev oracle.lev orcus.lev sanctum.lev soko?-?.lev tower?.lev valley.lev wizard?.lev astral.lev air.lev earth.lev fire.lev water.lev beholder.lev blkmar.lev cav2fill.lev grund-?.lev demogorg.lev dispater.lev dragons.lev geryon.lev guild.lev kobold-?.lev lich.lev mall-?.lev mall.lev mineking.lev mtemple.lev nymph.lev rats.lev sea.lev spiders.lev stor-?.lev tomb.lev yeenoghu.lev frnknstn.lev nightmar.lev ???-goal.lev ???-fil?.lev ???-loca.lev ???-strt.lev ) Can't open dungeon Makefile:274: recipe for target 'dlb' failed Not much info to go by, if there's anything else I can do to help let me know.

rh995 commented on 2015-08-01 01:29 (UTC)

Please ensure that you have flex installed. This might not be the problem, but it's the only thing I can think of.

irb commented on 2015-07-30 19:02 (UTC)

Compile failure: see http://pastebin.com/quzV0wyn for details.

commented on 2011-05-10 06:45 (UTC)

The makedeps should include bison, and flex but other then that it built fine for me.

Compintuit commented on 2010-08-10 07:03 (UTC)

Is there and chance of getting the gtk port packaged too, or included with this?